Bug 154390 - [bsd.port.mk] Make fetching output copy/paste friendly
Summary: [bsd.port.mk] Make fetching output copy/paste friendly
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-30 10:50 UTC by Ulrich Spörlein
Modified: 2011-02-07 14:00 UTC (History)
0 users

See Also:


Attachments
ports-fetch.diff (1.08 KB, patch)
2011-01-30 10:50 UTC, Ulrich Spörlein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Spörlein freebsd_committer 2011-01-30 10:50:08 UTC
The current output when trying to fetch a port, makes it extra hard to
construct the URL in case fetch(1) isn't able to download the file and you'd
like to try wget or the browser instead. You currently need to carefully select
the URL (without trailing dot), copy to browser, then copy the name of the
file.

Fix: - Print the damn URL in one piece, no trailing period. 
- Copy & Paste
- ???
- PROFIT!
How-To-Repeat: => feh-1.11.1.tar.bz2 doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch from http://www.chaosdorf.de/~derf/feh/.
feh-1.11.1.tar.bz2                            100% of 2234 kB 1471 kBps
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2011-01-30 18:27:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

bsd.port.mk patch.
Comment 2 Erwin Lansing freebsd_committer 2011-02-06 14:19:14 UTC
State Changed
From-To: open->analyzed

Take for -exp run
Comment 3 Erwin Lansing freebsd_committer 2011-02-07 13:50:16 UTC
State Changed
From-To: analyzed->closed

Committed, thanks!
Comment 4 dfilter service freebsd_committer 2011-02-07 13:50:19 UTC
erwin       2011-02-07 13:50:13 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.port.mk 
  Log:
  Remove trailing period to make fetch URL easier to copy/paste.
  
  PR:             154390
  Submitted by:   uqs
  Feature safe:   yes
  
  Revision  Changes    Path
  1.668     +3 -3      ports/Mk/bsd.port.mk
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"